---
description: What each report contains and how and when to use them.
---

# Reports

![](../.gitbook/assets/image%20(2).png)

Evidently includes a set of pre-built Reports. Each of them addresses a specific aspect of the data or model performance. You can think of reports as combinations of the metrics and statistial tests that are grouped together.  

The calculation results can be available in one of the following formats:

* An interactive visual **Dashboard** displayed inside the Jupyter notebook.
* An **HTML report.** Same as dashboard, but available as a standalone file.
* A **JSON profile.** A summary of the metrics, the results of statistical tests, and simple histograms.
* A live monitoring dashboard, currently availble through [integration with Grafana](../integrations/evidently-and-grafana.md).

## Reports by type

Currently, you can choose between 6 different Report types.

{% content-ref url="data-drift.md" %}
[data-drift.md](data-drift.md)
{% endcontent-ref %}

{% content-ref url="categorical-target-drift.md" %}
[categorical-target-drift.md](categorical-target-drift.md)
{% endcontent-ref %}

{% content-ref url="num-target-drift.md" %}
[num-target-drift.md](num-target-drift.md)
{% endcontent-ref %}

{% content-ref url="reg-performance.md" %}
[reg-performance.md](reg-performance.md)
{% endcontent-ref %}

{% content-ref url="classification-performance.md" %}
[classification-performance.md](classification-performance.md)
{% endcontent-ref %}

{% content-ref url="probabilistic-classification-performance.md" %}
[probabilistic-classification-performance.md](probabilistic-classification-performance.md)
{% endcontent-ref %}

## Show me the code

If you want to see the code, go straight to [examples](../get-started/examples.md).
